> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /artstation/jobs/search

> Search ArtStation job listings

**Price:** 1 credit



## OpenAPI

````yaml /openapi/social-media.json post /api/artstation/jobs/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/artstation/jobs/search:
    post:
      tags:
        - /artstation
      summary: /artstation/jobs/search
      description: |-
        Search ArtStation job listings

        **Price:** 1 credit
      operationId: __api_artstation_jobs_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ArtstationJobsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ArtstationJob'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ArtstationJobsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          anyOf:
            - type: string
            - type: 'null'
        job_type:
          anyOf:
            - $ref: '#/components/schemas/ArtstationJobType'
            - type: 'null'
        classification_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    ArtstationJob:
      properties:
        '@type':
          type: string
          default: ArtstationJob
        id:
          type: integer
        hash_id:
          anyOf:
            - type: string
            - type: 'null'
        job_title:
          anyOf:
            - type: string
            - type: 'null'
        about:
          anyOf:
            - type: string
            - type: 'null'
        how_to_apply:
          anyOf:
            - type: string
            - type: 'null'
        job_type:
          anyOf:
            - type: string
            - type: 'null'
        company_name:
          anyOf:
            - type: string
            - type: 'null'
        company_url:
          anyOf:
            - type: string
            - type: 'null'
        is_remote:
          type: boolean
          default: false
        offers_relocation:
          type: boolean
          default: false
        is_featured:
          type: boolean
          default: false
        level:
          anyOf:
            - type: string
            - type: 'null'
        apply_url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        posted_at:
          anyOf:
            - type: integer
            - type: 'null'
        expired_at:
          anyOf:
            - type: integer
            - type: 'null'
        locations:
          items:
            type: string
          type: array
          default: []
        classifications:
          items:
            $ref: '#/components/schemas/ArtstationJobClassification'
          type: array
          default: []
        salary:
          anyOf:
            - $ref: '#/components/schemas/ArtstationSalaryRange'
            - type: 'null'
        company:
          anyOf:
            - $ref: '#/components/schemas/ArtstationJobCompany'
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ArtstationJobType:
      type: string
      enum:
        - permanent
        - contract
        - freelance
        - other
    ArtstationJobClassification:
      properties:
        '@type':
          type: string
          default: ArtstationJobClassification
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        slug:
          anyOf:
            - type: string
            - type: 'null'
        classification_type:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ArtstationSalaryRange:
      properties:
        '@type':
          type: string
          default: ArtstationSalaryRange
        min:
          anyOf:
            - type: number
            - type: 'null'
        max:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        period:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ArtstationJobCompany:
      properties:
        '@type':
          type: string
          default: ArtstationJobCompany
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        slug:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````